## Tool: `get_subscription`

Gets the user's Colab subscription tier: free, Pro or Pro+. <https://colab.research.google.com/signup> compares the tiers.

The following code sample shows how to use `curl` to call the `get_subscription` MCP tool.

| Curl Request |
|---|
| ```bash curl --location 'https://colaboratory.googleapis.com/mcp' \ --header 'content-type: application/json' \ --header 'accept: application/json, text/event-stream' \ --data '{ "method": "tools/call", "params": { "name": "get_subscription", "arguments": { // Provide these details according to the MCP tool specification. } }, "jsonrpc": "2.0", "id": 1 }' ``` |

## Input Schema

Request message for `GetSubscription`.

## Output Schema

Colab user subscription information.

### Subscription

| JSON representation |
|---|
| ``` { "name": string, "tier": enum (`SubscriptionTier`) } ``` |

| Fields ||
|---|---|
| `name` | `string` Identifier. Name of the subscription. This will always be "subscription". |
| `tier` | ``enum (`SubscriptionTier`)`` Required. User's Colab subscription tier. |

### SubscriptionTier

User's Colab subscription tier.

| Enums ||
|---|---|
| `SUBSCRIPTION_TIER_UNSPECIFIED` | Default value. This value is unused. |
| `SUBSCRIPTION_TIER_FREE` | User is not subscribed to any paid tier. |
| `SUBSCRIPTION_TIER_PRO` | User is subscribed to Colab Pro. |
| `SUBSCRIPTION_TIER_PRO_PLUS` | User is subscribed to Colab Pro+. |

### Tool Annotations


[Tool annotations](https://modelcontextprotocol.io/specification/latest/schema#toolannotations) are sent to MCP clients to describe the basic risk of a given tool. Most clients treat these hints as untrusted, but they can be used to decide when a confirmation prompt might be sent to a user.


Along with the title string, the following boolean hints are defined as follows:

- `readOnlyHint`: If true, the tool doesn't modify its environment. Default: false.
- `destructiveHint`: If true, then the tool can perform destructive actions. If false, then the tool can only perform additive actions. Default: true.
- `idempotentHint`: If true, then calling the tool repeatedly with the same arguments will have no additional effect on its environment. Default: false.
- `openWorldHint`: If true, then the tool can interact with an 'open world' of external entities. If false, then the tool can only interact with internal entities. For example, a web search tool would be open world, while a memory tool would not be open world.

Destructive Hint: ❌ \| Idempotent Hint: ✅ \| Read Only Hint: ✅ \| Open World Hint: ❌